> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boostgpt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Calendar Event

> Create a calendar event and optionally send attendee confirmation email



## OpenAPI

````yaml /api-reference/openapi.json post /v1/bot/calendar/events
openapi: 3.0.0
info:
  title: BoostGPT API
  version: 1.0.0
  description: API for managing AI agents with memory capabilities
servers:
  - url: https://api.boostgpt.co
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: Agent
    description: Operations for managing AI agents
  - name: Memory
    description: Operations for managing agent memory sources
  - name: Chat
    description: Operations for chatting with agents and managing conversations
  - name: Subscribers
    description: Operations for managing subscribers and leads
  - name: Tools
    description: Operations for managing agent tools and MCP server integrations
  - name: Analytics
    description: Operations for retrieving agent statistics and analytics
  - name: Heartbeat
    description: Operations for managing autonomous agent scheduling and execution
  - name: User Memory
    description: Operations for managing per-user memory entries
  - name: Email
    description: Operations for managing agent email functionality
  - name: Triggers
    description: Operations for firing proactive agent trigger events
  - name: CRM
    description: >-
      Operations for managing agent CRM contacts, pipelines, deals, follow-ups,
      and reports
  - name: Workflows
    description: Operations for managing agent workflow automations
  - name: Calendar
    description: Operations for managing agent calendar settings, availability, and events
  - name: Workspace
    description: Operations for managing agent workspaces and files
paths:
  /v1/bot/calendar/events:
    post:
      tags:
        - Calendar
      summary: Create Calendar Event
      description: Create a calendar event and optionally send attendee confirmation email
      parameters:
        - name: project_id
          in: query
          required: true
          schema:
            type: string
          description: Project ID
        - name: bot_id
          in: query
          required: true
          schema:
            type: string
          description: Agent ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                description:
                  type: string
                start_at:
                  type: string
                end_at:
                  type: string
                timezone:
                  type: string
                location:
                  type: string
                contact_id:
                  type: string
                attendee_name:
                  type: string
                attendee_email:
                  type: string
                attendee_phone:
                  type: string
                notes:
                  type: string
                send_confirmation:
                  type: boolean
              required:
                - start_at
      responses:
        '200':
          description: Create Calendar Event successful
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
        code:
          type: string
          description: Error code
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Enter your API key

````